import BaseCurdApi from './BaseCurdApi'

class MaterialDetailApi extends BaseCurdApi {
  importData = (data) => {
    const formData = new FormData()
    formData.append('file', data.file)
    return this.api({
      url: `${this.basePath}/tag/data/import`,
      method: 'POST',
      data: formData,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  }
  downloadTemplateTag = (query) => this.api({
    url: `${this.basePath}/tag/download/template`,
    method: 'GET',
    responseType: 'blob'
  })
  constructor () {
    super('/materiel')
  }
}

export default new MaterialDetailApi()
