import BaseCurdApi from './BaseCurdApi'

class TagDistributeApi extends BaseCurdApi {
  constructor () {
    super('/tag/distribution')
  }

  save = (data) => this.api({
    url: `${this.basePath}`,
    method: 'PUT',
    data: {
      id: data.id,
      deliveryMethodId: data.deliveryMethodId,
      deliveryOrderNo: data.deliveryOrderNo,
      recipient: data.recipient
    }
  })
}

export default new TagDistributeApi()
