import BaseCurdEntry from './BaseCurdEntry'
import MaterialCategory from './MaterialCategory'
import materialDetailApi from '@@/api/MaterialDetailApi'

export default class MaterialDetail extends BaseCurdEntry {
  id

  materielCode

  goodsCode

  name

  bigCategoryName

  middleCategoryName

  smallCategoryName

  materielDescribe

  brand
  manufacturer

  static get $$name () {
    return 'MaterialDetail'
  }

  static get $$api () {
    return materialDetailApi
  }

  static $$getQuery = () => ({
    materielDescribe: '',
    materielCode: '',
    bigCategoryId: '',
    middleCategoryId: '',
    smallCategoryId: ''
  })

  static $$optionTargetConfigGroup = [
    [{
      Target: MaterialCategory,
      getQuery: () => ({
        parentId: '0'
      })
    }]
  ]
}
